package IdPAccountManager::DB;

use strict;
use warnings;

use base 'Rose::DB';

__PACKAGE__->use_private_registry;

__PACKAGE__->SUPER::register_db (
    connect_options => { AutoCommit => 1, ChopBlanks => 1 },
    driver          => 'mysql',
    host            => 'localhost',
    database        => 'fake',
    password        => 'fake',
    username        => 'fake',
);

sub register_db {
    my ($pkg, %args) = @_;

    __PACKAGE__->SUPER::register_db (
        connect_options => { AutoCommit => 1, ChopBlanks => 1 },
        driver          => $args{driver},
        host            => $args{host},
        database        => $args{database},
        password        => $args{password},
        username        => $args{username}
    );
}

1;
